Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class DataSetID

    java.lang.Object
      org.eclipse.birt.report.engine.api.DataSetID

    public class DataSetID

extends java.lang.Object

ID represent the data set. a data set is created by a sub query or a query. If it is created by a data query, it will have a uniqe data set name. Otherwise, the data set id is determinted by its parent data set, parent row id and the subquery name.

Constructor Summary
`DataSetID(DataSetID parent, long rowId, java.lang.String queryName)` DataSetID of the subquery.
`DataSetID(DataSetID parent, java.lang.String cellId, java.lang.String queryName)` DataSetID of the subquery.
`DataSetID(java.lang.String dataSetName)` create a dataset id of a normal query.

Method Summary
`boolean` | `equals(java.lang.Object a)`
`java.lang.String` | `getCellID()` cell id in the parent data set.
`java.lang.String` | `getDataSetName()` data set name if any.
`DataSetID` | `getParentID()` parent data set if any.
`java.lang.String` | `getQueryName()` query name if any.
`long` | `getRowID()` row id in the parent data set.
`static DataSetID` | `parse(char[] buffer, int offset, int length)` Parse dataSetID.
`static DataSetID` | `parse(java.lang.String dataSetId)` Parse the dataSetID of a String
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataSetID

    public DataSetID(DataSetID parent,
                     long rowId,
                     java.lang.String queryName)

  DataSetID of the subquery.

  Parameters:
    `parent` - can't be null.
    `rowId` -
    `queryName` - can't be null.

### DataSetID

    public DataSetID(DataSetID parent,
                     java.lang.String cellId,
                     java.lang.String queryName)

  DataSetID of the subquery.

  Parameters:
    `parent` - can't be null.
    `cellId` -
    `queryName` - can't be null.

### DataSetID

    public DataSetID(java.lang.String dataSetName)

  create a dataset id of a normal query.

  Parameters:
    `dataSetName` - can't be null.

Method Detail

### getParentID

    public DataSetID getParentID()

  parent data set if any.

  Returns:
    parent data set

### getDataSetName

    public java.lang.String getDataSetName()

  data set name if any.

  Returns:
    name of the data set.

### getQueryName

    public java.lang.String getQueryName()

  query name if any.

  Returns:
    query name.

### getRowID

    public long getRowID()

  row id in the parent data set.

  Returns:
    row id

### getCellID

    public java.lang.String getCellID()

  cell id in the parent data set.

  Returns:
    cell id

### equals

    public boolean equals(java.lang.Object a)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### parse

    public static DataSetID parse(java.lang.String dataSetId)

  Parse the dataSetID of a String

  Parameters:
    `dataSetId` -
  Returns:
    DataSetID object

### parse

    public static DataSetID parse(char[] buffer,
                                  int offset,
                                  int length)

  Parse dataSetID.

  Parameters:
    `buffer` -
    `offset` -
    `length` -
  Returns:
    DataSetID object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.